For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brings Stock

Stok Getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
IDinteger · int32Required
Responses
200

Stok Getirir.

application/json
IDinteger · int32Optional
Namestring · nullableOptional
UnitCodestring · nullableOptional
UnitNamestring · nullableOptional
Pricenumber · doubleOptional
SellerCodestring · nullableOptional
BuyerCodestring · nullableOptional
ManufacturerCodestring · nullableOptional
IsActivebooleanOptional
CreatedDatestring · date-timeOptional
GTIPCodestring · nullableOptional
Brandstring · nullableOptional
Modelstring · nullableOptional
Descriptionstring · nullableOptional
Notestring · nullableOptional
DeliveryCodestring · nullableOptional
ShippingCodestring · nullableOptional
TaxPercentnumber · doubleOptional
get/Stocks/{ID}
GET /general/Stocks/{ID} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ID": 1,
  "Name": "text",
  "UnitCode": "text",
  "UnitName": "text",
  "Price": 1,
  "SellerCode": "text",
  "BuyerCode": "text",
  "ManufacturerCode": "text",
  "IsActive": true,
  "CreatedDate": "2026-01-01T00:00:00.000Z",
  "GTIPCode": "text",
  "Brand": "text",
  "Model": "text",
  "Description": "text",
  "Note": "text",
  "DeliveryCode": "text",
  "ShippingCode": "text",
  "TaxPercent": 1
}
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/general/Stocks/1", Method.Get);
request.AddHeader("Authorization", "Bearer <API KEY>");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/Stocks/1',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated